unit SXSkinReg_D;

////////////////////////////////////////////////////////////////////////////////
// SXSkinComponents: Skinnable Visual Controls with Alpha Channel             //
//----------------------------------------------------------------------------//
// Version: 1.0.1                                                             //
// Author: Alexey Sadovnikov                                                  //
// Web Site: http://www.saarixx.info                                          //
// E-Mail: mail@saarixx.info                                                  //
//----------------------------------------------------------------------------//
// LICENSE:                                                                   //
// 1. You can freely distribute this file.                                    //
// 2. You can not make any changes to this file.                              //
// 3. The only person who can change this file is Alexey Sadovnikov.          //
// 4. You can use this file in your freeware projects.                        //
// 5. If you want to use this file in your shareware project, you should      //
//    purchase a project license or a personal license of SXSkinComponents.   //
// 6. You can freely use, distribute and modify skins for SXSkinComponents.   //
// 7. You can create skins for SXSkinComponents.                              //
//----------------------------------------------------------------------------//
// Copyright 2006 by Alexey Sadovnikov. All Rights Reserved.                  //
////////////////////////////////////////////////////////////////////////////////

interface

{$I Compilers.inc}

uses DesignIntf, Classes;

procedure Register;

implementation

uses SysUtils, SXSkinLibrary, SXSkinCheckBox, TypInfo, Forms, Controls,
     SXStrLEdit, SXSkinImage, SXSkinPanel, SXSkinRadioButton, SXSkinGroupBox,
     SXSkinLabel, SXSkinButton, SXSkinEdit, SXSkinNotebook;

procedure Register;
begin
 RegisterComponents('SXSkinComponents',[TSXSkinLibrary,TSXSkinImage,TSXSkinPanel,
   TSXSkinLabel,TSXSkinButton,TSXSkinCheckBox,TSXSkinRadioButton,TSXSkinEdit,
   TSXSkinGroupBox,TSXSkinNotebook]);
 RegisterClasses([TSXSkinNotebookPage]);
 //
 RegisterPropertyEditor(TypeInfo(TCaption),TSXSkinLabel,'Caption',TSXMultilineProperty);
 RegisterPropertyEditor(TypeInfo(TCaption),TSXSkinCheckBox,'Caption',TSXMultilineProperty);
 RegisterPropertyEditor(TypeInfo(TCaption),TSXSkinRadioButton,'Caption',TSXMultilineProperty);
 RegisterPropertyEditor(TypeInfo(TCaption),TSXSkinGroupBox,'Caption',TSXMultilineProperty);
 RegisterPropertyEditor(TypeInfo(TCaption),TSXSkinButton,'Caption',TSXMultilineProperty);
end;

end.
